package com.fjhx.service;

import com.fjhx.base.BaseService;
import com.fjhx.entity.Product;

import java.util.List;

/**
 * <p>
 * 产品 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-06
 */
public interface ProductService extends BaseService<Product> {

    void add(Product product);

    void edit(Product product);

    void delete(Product product);

    /**
     * 获取租户添加过的产品单位集合
     */
    List<String> getUnitList();

}
